require 'flickraw'

class FlickrClient
  module Fixed
    MIN_UPLOAD_DATE = 1357028420
    freeze
  end

  def initialize(flickr_config)
    FlickRaw.api_key = flickr_config.api_key
    FlickRaw.shared_secret = flickr_config.shared_secret
  end

  def uri(uri)
    FlickRaw.url(uri)
  end

  def search(query)
    flickr.photos.search(tags: query, min_upload_date: Fixed::MIN_UPLOAD_DATE, safe_search: 1)
  end
end
