class TextReader
  attr_accessor :beginnings, :lines

  def initialize(input_text_file)
    @input_text_file = input_text_file
    @beginnings = []
    @lines = []
  end

  def process_input_text_file
    @lines = File.readlines(@input_text_file)
    @beginnings = @lines.collect { |s| s.split(' ').first }.reject { |w| w.nil? }
    return self
  end
end
