class Composer
  def initialize(config, twitter_client, tweet_finder, emoji_finder)
    @max_length = config.twitter_config.tweet_max_length
    @blacklist = config.blacklist
    @stop_words = config.stop_words
    @default_hashtag = config.default_hashtag
    @twitter_client = twitter_client
    @tweet_finder = tweet_finder
    @emoji_finder = emoji_finder
  end

  def compose_tweet
    raise NoMethodError 'implement compose_tweet'
  end

  def compose_image_query(query)
    raise NoMethodError 'implement compose_image_query(query)'
  end
end
